This repository has been archived by the owner. It is now read-only.

Make it possible to use stuff from slime-contrib #112

Open
ryszard opened this Issue Mar 4, 2012 · 3 comments

Comments

Projects
None yet
2 participants
@ryszard

ryszard commented Mar 4, 2012

It would be really great if it was somehow possible to load slime-c-p-c (f-b completes to foo-bar). I tried copy the file form upstream slime, but it seems that there's a version mismatch (the slime bundled with clojure-mode doesn't know anything about define-slime-contrib).

I could try to do it myself and send a pull request, but I am not sure where to find which version of slime is bundled with clojure-mode.

@technomancy

This comment has been minimized.

Show comment
Hide comment
@technomancy

technomancy Mar 4, 2012

Owner

My github fork of slime is on the same revision as the one that's bundled with swank-clojure. You could put these either in swank-clojure or a separate jar as an elisp payload.

Owner

technomancy commented Mar 4, 2012

My github fork of slime is on the same revision as the one that's bundled with swank-clojure. You could put these either in swank-clojure or a separate jar as an elisp payload.

@ryszard

This comment has been minimized.

Show comment
Hide comment
@ryszard

ryszard Mar 5, 2012

Sorry if this is a stupid question, but – how do I install a dev version of a leiningen plugin? I forked the repo, made the appropriate edits and I ended up with a jar named swank-clojure-1.5.0-SNAPSHOT.jar. I tried doing "lein plugin install swank-clojure 1.5.0-SNAPSHOT", but it doesn't seem to do what I need.

ryszard commented Mar 5, 2012

Sorry if this is a stupid question, but – how do I install a dev version of a leiningen plugin? I forked the repo, made the appropriate edits and I ended up with a jar named swank-clojure-1.5.0-SNAPSHOT.jar. I tried doing "lein plugin install swank-clojure 1.5.0-SNAPSHOT", but it doesn't seem to do what I need.

@technomancy

This comment has been minimized.

Show comment
Hide comment
@technomancy

technomancy Mar 5, 2012

Owner

Oh yeah, this needs to be better documented. You should be fine using
"lein install; lein plugin install [...]" but the thing is the lein
tasks have been moved out of swank-clojure into the lein-swank
subdirectory. So you'll want to do your work in there.

Owner

technomancy commented Mar 5, 2012

Oh yeah, this needs to be better documented. You should be fine using
"lein install; lein plugin install [...]" but the thing is the lein
tasks have been moved out of swank-clojure into the lein-swank
subdirectory. So you'll want to do your work in there.

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.